Gtk2::SizeGroup(3)

NAME
Gtk2::SizeGroup - wrapper for GtkSizeGroup

HIERARCHY
  Glib::Object
  +----Gtk2::SizeGroup

INTERFACES
  Gtk2::Buildable

METHODS

  sizegroup = Gtk2::SizeGroup->new ($mode)

•   $mode (Gtk2::SizeGroupMode)

  $size_group->add_widget ($widget)

•   $widget (Gtk2::Widget)

  boolean = $size_group->get_ignore_hidden
Since: gtk+ 2.8

  $size_group->set_ignore_hidden ($ignore_hidden)

•   $ignore_hidden (boolean)

Since: gtk+ 2.8

  sizegroupmode = $size_group->get_mode

  $size_group->set_mode ($mode)

•   $mode (Gtk2::SizeGroupMode)

  $size_group->remove_widget ($widget)

•   $widget (Gtk2::Widget)

  list = $size_group->get_widgets
Since: gtk+ 2.10

PROPERTIES

'ignore-hidden' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    If TRUE, unmapped widgets are ignored when determining the size of the group

'mode' (Gtk2::SizeGroupMode : default "horizontal" : readable / writable / private / static-nick / static-blurb)
    The directions in which the size group affects the requested sizes of its component widgets

ENUMS AND FLAGS

  enum Gtk2::SizeGroupMode

•   'none' / 'GTK_SIZE_GROUP_NONE'

•   'horizontal' / 'GTK_SIZE_GROUP_HORIZONTAL'

•   'vertical' / 'GTK_SIZE_GROUP_VERTICAL'

•   'both' / 'GTK_SIZE_GROUP_BOTH'

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.